com.holonplatform.vaadin.flow.i18n

## Interface LocalizationContextI18NProvider

- All Superinterfaces:
    com.vaadin.flow.i18n.I18NProvider, Serializable

      public interface LocalizationContextI18NProvider
      extends com.vaadin.flow.i18n.I18NProvider

  A `I18NProvider` which uses the current `LocalizationContext` to provide the messages localization.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalizationContextI18NProvider` | `create()` Create a new `LocalizationContextI18NProvider` without any provided `Locale`.
    `static LocalizationContextI18NProvider` | `create(List<Locale> providedLocales)` Create a new `LocalizationContextI18NProvider` using given provided locales.
    `static LocalizationContextI18NProvider` | `create(com.holonplatform.core.i18n.LocalizationContext localizationContext)` Create a new `LocalizationContextI18NProvider` without any provided `Locale`.
    `static LocalizationContextI18NProvider` | `create(com.holonplatform.core.i18n.LocalizationContext localizationContext, List<Locale> providedLocales)` Create a new `LocalizationContextI18NProvider` using given provided locales.

    - ### Methods inherited from interface com.vaadin.flow.i18n.I18NProvider

      `getProvidedLocales, getTranslation`

- - ### Method Detail

    - #### create

          static LocalizationContextI18NProvider create()

      Create a new `LocalizationContextI18NProvider` without any provided `Locale`.

      The `LocalizationContext` must be available as a `Context` resource.

      Returns:
        A new `LocalizationContextI18NProvider`
      See Also:
        `I18NProvider.getProvidedLocales()`, `LocalizationContext.getCurrent()`

    - #### create

          static LocalizationContextI18NProvider create(List<Locale> providedLocales)

      Create a new `LocalizationContextI18NProvider` using given provided locales.

      The `LocalizationContext` must be available as a `Context` resource.

      Parameters:
        `providedLocales` - The provided locales
      Returns:
        A new `LocalizationContextI18NProvider`
      See Also:
        `I18NProvider.getProvidedLocales()`, `LocalizationContext.getCurrent()`

    - #### create

          static LocalizationContextI18NProvider create(com.holonplatform.core.i18n.LocalizationContext localizationContext)

      Create a new `LocalizationContextI18NProvider` without any provided `Locale`.
      Parameters:
        `localizationContext` - The `LocalizationContext` to use
      Returns:
        A new `LocalizationContextI18NProvider`
      See Also:
        `I18NProvider.getProvidedLocales()`

    - #### create

          static LocalizationContextI18NProvider create(com.holonplatform.core.i18n.LocalizationContext localizationContext,
                                                        List<Locale> providedLocales)

      Create a new `LocalizationContextI18NProvider` using given provided locales.
      Parameters:
        `localizationContext` - The `LocalizationContext` to use
        `providedLocales` - The provided locales
      Returns:
        A new `LocalizationContextI18NProvider`
      See Also:
        `I18NProvider.getProvidedLocales()`

Copyright © 2019 The Holon Platform. All rights reserved.